Package org.jboss.resteasy.core.messagebody

## Class WriterUtility

- java.lang.Object
- - org.jboss.resteasy.core.messagebody.WriterUtility

-     @Deprecated
      public abstract class WriterUtility
      extends Object

  Deprecated.
  Utility for accessing RESTEasy's MessageBodyWrite setup
  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WriterUtility()` | Deprecated.
    `WriterUtility​(ResteasyProviderFactory factory, javax.ws.rs.ext.WriterInterceptor[] interceptors)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `asString​(Object toOutput, String contentType)` | Deprecated.
    `abstract RuntimeException` | `createWriterNotFound​(Type genericType, javax.ws.rs.core.MediaType mediaType)` | Deprecated.
    `void` | `doWrite​(Object toOutput, Class type, Type genericType, javax.ws.rs.core.MediaType mediaType, Annotation[] annotations, javax.ws.rs.core.MultivaluedMap<String,​Object> requestHeaders, OutputStream outputStream)` | Deprecated.
    `void` | `doWrite​(Object toOutput, Class type, Type genericType, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> requestHeaders, OutputStream os)` | Deprecated.
    `void` | `doWrite​(Object toOutput, Class type, javax.ws.rs.core.MediaType mediaType, OutputStream os)` | Deprecated.
    `void` | `doWrite​(Object toOutput, javax.ws.rs.core.MediaType mediaType, OutputStream os)` | Deprecated.
    `void` | `doWrite​(HttpResponse response, Object toOutput, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` | Deprecated.
    `static byte[]` | `getBytes​(Object toOutput, String contentType)` | Deprecated.
    `static void` | `write​(Object toOutput, javax.ws.rs.core.MediaType mt, OutputStream os)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterUtility

          public WriterUtility()

      Deprecated.

    - #### WriterUtility

          public WriterUtility​(ResteasyProviderFactory factory,
                               javax.ws.rs.ext.WriterInterceptor[] interceptors)

      Deprecated.

  - ### Method Detail

    - #### asString

          public static String asString​(Object toOutput,
                                        String contentType)
                                 throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### getBytes

          public static byte[] getBytes​(Object toOutput,
                                        String contentType)
                                 throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### write

          public static void write​(Object toOutput,
                                   javax.ws.rs.core.MediaType mt,
                                   OutputStream os)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doWrite

          public void doWrite​(Object toOutput,
                              javax.ws.rs.core.MediaType mediaType,
                              OutputStream os)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doWrite

          public void doWrite​(Object toOutput,
                              Class type,
                              javax.ws.rs.core.MediaType mediaType,
                              OutputStream os)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doWrite

          public void doWrite​(Object toOutput,
                              Class type,
                              Type genericType,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<String,​Object> requestHeaders,
                              OutputStream os)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doWrite

          public void doWrite​(HttpResponse response,
                              Object toOutput,
                              Class type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### doWrite

          public void doWrite​(Object toOutput,
                              Class type,
                              Type genericType,
                              javax.ws.rs.core.MediaType mediaType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MultivaluedMap<String,​Object> requestHeaders,
                              OutputStream outputStream)
                       throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### createWriterNotFound

          public abstract RuntimeException createWriterNotFound​(Type genericType,
                                                                javax.ws.rs.core.MediaType mediaType)

      Deprecated.